API ReferenceRole Set
Creates a RoleSet resource
POST
Creates a RoleSet resource
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
The new RoleSet resource
- body
roles?array<>name*stringLength
length <= 100RoleSet resource created
- response
id?stringFormat
uuidshortCode?stringLength
6 <= length <= 6name?stringLength
length <= 100roles?array<>curl -X POST 'https://app.icproject.com/api/instance/demo/user/role-sets' \ -H 'Content-Type: application/json' \ -d '{ "name": "string"}'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "name": "string", "roles": [ "Check allowed_roles.yaml" ]}